Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVInvertMatrixParser Class Reference

CSV parser used to invert the token matrix in order to treat rows as columns. More...

`#include <CSVParser.h>`

Inheritance diagram for tlp::CSVInvertMatrixParser:
[legend]
Collaboration diagram for tlp::CSVInvertMatrixParser:
[legend]

List of all members.

## Public Member Functions

- CSVInvertMatrixParser (CSVParser *parser)
- virtual ~CSVInvertMatrixParser ()
- bool parse (CSVContentHandler *handler, tlp::PluginProgress *progress=NULL)
    Parse the data and send the tokens found to the CSVContentHandler.
- void begin ()
- void line (unsigned int row, const std::vector< std::string > &lineTokens)
- void end (unsigned int rowNumber, unsigned int columnNumber)

## Detailed Description

CSV parser used to invert the token matrix in order to treat rows as columns.

## Constructor & Destructor Documentation

tlp::CSVInvertMatrixParser::CSVInvertMatrixParser | ( | CSVParser * | parser | ) |

virtual tlp::CSVInvertMatrixParser::~CSVInvertMatrixParser | ( |  | ) | `[virtual]`

## Member Function Documentation

void tlp::CSVInvertMatrixParser::begin | ( |  | ) | `[virtual]`

Function called at the beginning of the file parsing.

Implements tlp::CSVContentHandler.

void tlp::CSVInvertMatrixParser::end | ( | unsigned int | rowNumber,
|  | unsigned int | columnNumber
| ) |  | `[virtual]`

Function called at the end of the parsing.

Parameters:

  rowNumber | the number of row read in the file.
  columnNumber | The column number for the line with the greatest column number.

Implements tlp::CSVContentHandler.

void tlp::CSVInvertMatrixParser::line | ( | unsigned int | row,
|  | const std::vector< std::string > & | lineTokens
| ) |  | `[virtual]`

Function called for each line in the file.

Parameters:

  row | The number of the row.
  lineTokens | The tokens.

Implements tlp::CSVContentHandler.

bool tlp::CSVInvertMatrixParser::parse | ( | CSVContentHandler * | handler,
|  | tlp::PluginProgress * | progress = `NULL`
| ) |  | `[virtual]`

Parse the data and send the tokens found to the CSVContentHandler.

Notify the progression of the parsing with the progress object.

Implements tlp::CSVParser.

Tulip Software by LaBRI Visualization Team 2001 - 2012